Subject: [bug#64905] [PATCH v4 06/11] gnu: tree-sitter-typescript: Update to 0.20.2.

From: Hilton Chain <[email-masked]>
Date: Fri, 29 Sep 2023 13:50:35 +0800

On Wed, 27 Sep 2023 18:42:28 +0800,
Christopher Baines wrote:
>
> [1  <text/plain (7bit)>]
>
> Hilton Chain via Guix-patches via <[email-masked]> writes:
>
> >  (define-public tree-sitter-javascript
> > +  ;; Required by tree-sitter-typescript.
> > +  (let ((commit "7a29d06274b7cf87d643212a433d970b73969016")
> > +        (revision "14"))
>
> I'd use revision 0 or 1 to start with.

I usually obtain the revision number from the output of 'git describe --tags', I
think it's fine to use it when available.